### Method

# Ide TreeNode get_nth_child

#### Declaration

    IdeTreeNode*
    ide_tree_node_get_nth_child (
      IdeTreeNode* self,
      guint index_
    )

#### Description

Gets the `nth` child of the tree node or `NULL` if it does not exist.

Available since: | 3.32

#### Parameters

`index_` | `guint`
| The index of the child.

#### Return value

Returns: | `IdeTreeNode`
| A `IdeTreeNode` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.